English

[HOW TO] Flash a custom ROM on FP3 with GSI

For anyone else getting the error along these lines:

Invalid erase-block-size 512: must be a power of 2 and at least 4096.
Invalid logical-block-size 512: must be a power of 2 and at least 4096.
/usr/lib/android-sdk/platform-tools/mke2fs failed with status 1
mke2fs failed: 1
error: Cannot generate image for userdata

I found that this was not a problem with the phone but with the fastboot program - I switched from Ubuntu (18.04) to Windows 10 and I found I could run fastboot -w with no problem. The problem seems to have been that I installed the Android SDK platform tools through apt-get rather than downloading them from developer.android.com. Hope that helps someone.

6 Likes

TL;DR: RTFM :wink: .


To be fair … quoting from /e/'s install instructions

Requirements
[…]
2. Make sure your computer has working adb and fastboot . Setup instructions can be found here.

… where here is a page explicitly telling you to download adb and fastboot directly from Google.

One issue is Linux distributions offering seemingly outdated or otherwise unfit adb and fastboot commands.
Another issue is interested users not following written instructions telling them to “make sure” something works, and how exactly to achieve that if in doubt.

No act of moderation here will fix either issue.
Perhaps /e/'s install instructions could use some bold, signal red lettering in the right place instead.

1 Like

Sorry for the noise, post deleted.

This was neither necessary nor my intention. Your post was not noise.

Anyway, I created a topic over at the /e/ forum, let’s see whether something can be done to make it clearer the instructions are really to be followed to avoid trouble.

2 Likes

I’m sorry if there’s a running Lineage thread somewhere, but I couldn’t find the current status of Lineage for FP3.

I saw on the official page that there were a few nightlies for FP2, but is there an active group of people unofficially curating an FP3 version? Or is it more advisable to install /e/ at the moment and customize from there?

I could have sworn there was a thread here but I can’t find it anymore.

EDIT: thanks @Ingo!! I had only searched in Discuss and Help, but forgot about Development. :+1:

The topic about Lineage on the FP3 is right here: [ROM][UNOFFICIAL] LineageOS 16.0 for FP3

2 Likes

In the new firmware (v0120 at the time of writing), there is a vendor.img. Can’t I just flash it on the vendor partition with fastboot instead of reflashing everything?

1 Like

I just joined the forum and wanted to send a big Thank You :partying_face: for writing this post. That was massively helpful for me as a new Android user, and without this (and the TWRP port) I probably wouldn’t have been able to run Resurrection Remix for the last few months :slight_smile:

2 Likes

I don’t know if you are still having an issue with fastboot -w but it is probably because your mke2fs tool is out of date like me. I fixed it by installing the platform tools strait from Google rather than the Debian repos like they recommend in the LineageOS guide here: https://wiki.lineageos.org/adb_fastboot_guide.html

1 Like

I’ve added a custom GSI build of /e/ Android 10 to the list in the first post.
Have not checked it out yet, it’s absolutely fresh. It’s provided by a heavy contributor of custom /e/ builds.

1 Like

Hi all,

I just posted an issue regarding receiving texts on my FP3. I am not sure if it is related to the GSI ROM I have installed so I thought to post it here to confirm or rule this out. :slight_smile: AOSP GSI: Can't receive texts (but sometimes can)

Someone found a way to get the Android 10 based GSIs running: https://github.com/phhusson/treble_experimentations/issues/1146#issuecomment-687783797

Tried it myself with LOS 17.1 GSI just now and it seems to be working fine so far. :slight_smile:

Edit: now that Android 10 has arrived for the FP3 I wonder if it would help to use the new vendor partition instead of copying a few libraries from another phone…

3 Likes

@pigpig: phhusson has added a hardware overlay for the FP3 on my pull request. So with the next GSI builds by phhusson or AndyCGYan installation should become easier. You may want to replace steps 3.-6. simply by fastboot --disable-verity flash vbmeta_a vbmeta.img && fastboot --disable-verity flash vbmeta_b vbmeta.img - there would be no further need to enter twrp…

BTW, on the most recent 0045 firmware LineageOS 17.1 works smoothly - at least my own build which is based on the same sources like AndyCGYan’s but includes a quick & dirty OTA option.

3 Likes

Nice to hear that !
I may haven’t notice but this is a wiki post, that means everybody can edit it :slight_smile:

Is this the only solution to get LOS17.1 on the FP3 or will there be an official version for the FP3?

LOS 16.0 for FP3 isn’t even official yet, so… you’ll have to be patient I think :slightly_smiling_face:

4 Likes

A post was split to a new topic: [ROM][UNOFFICIAL] Lineage 17.1 for FP3

That is very kind. But I would prefer an official version of LOS17.1 for the FP3 and FP3+. I need a working phone. So I want to wait till it is official.

@The_Little_Death: I fully understand your position as I’d prefer an official LOS17.1 for microG myself. However, as nobody so far appears to volunteer as a maintainer, I went my own GSI based route, which is likely easier and provides at least myself with a working phone. AFAIK, so far the GSI approach hasn’t become part of LOS - so my route has virtually no chance to become official.

4 Likes

Maybe you can help the guys in the LOS16.1 for the FP3 thread. I think it would be the best to drop LOS16.1 and switch to 17.1. Because the FP2 has Android 10 now.

1 Like